> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memoryproto.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tweet details

> Retrieve the details of a tweet from its id.



## OpenAPI

````yaml get /twitter/tweet
openapi: 3.1.0
info:
  version: 1.0.0
  title: Memory API
  description: >-
    Memory Protocol generated from the OpenAPI specification. Register at
    https://memoryproto.co/developers to start querying user identity graphs.
    Visit https://docs.memoryproto.co for a complete documentation.
servers:
  - url: https://api.memoryproto.co
    description: Memory API
security: []
paths:
  /twitter/tweet:
    get:
      summary: Get tweet details
      description: Retrieve the details of a tweet from its id.
      parameters:
        - schema:
            type: string
            minLength: 1
            description: Tweet id. For example, 1925251453805027380 or 1914711182738428252.
            examples:
              - '1925251453805027380'
              - '1914711182738428252'
          required: true
          name: id
          in: query
        - schema:
            type: string
            description: >-
              Use an authorization token prefixed with `Bearer`. You can get
              your API key at
              [https://memoryproto.co/dashboard](https://memoryproto.co/dashboard).
            example: Bearer mem_xxx
          required: true
          name: Authorization
          in: header
      responses:
        '200':
          description: Successful response containing the tweet details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      profile:
                        type: object
                        properties:
                          username:
                            type: string
                          id:
                            type: string
                          displayName:
                            type: string
                          followersCount:
                            type: number
                          followingCount:
                            type: number
                          postsCount:
                            type: number
                            nullable: true
                          creationDate:
                            type: string
                            nullable: true
                          avatarUrl:
                            type: string
                            nullable: true
                          externalUrl:
                            type: string
                            nullable: true
                          location:
                            type: string
                            nullable: true
                          bio:
                            type: string
                            nullable: true
                          farcaster:
                            type: object
                            nullable: true
                            properties:
                              id:
                                type: string
                              username:
                                type: string
                              displayName:
                                type: string
                              followersCount:
                                type: number
                              followingCount:
                                type: number
                              avatarUrl:
                                type: string
                                nullable: true
                              location:
                                type: string
                                nullable: true
                              bio:
                                type: string
                                nullable: true
                            required:
                              - id
                              - username
                              - displayName
                              - followersCount
                              - followingCount
                              - avatarUrl
                              - location
                              - bio
                            description: Farcaster profile linked to the Twitter account.
                            example:
                              id: '244819'
                              username: memoryprotocol.eth
                              displayName: Memory
                              followersCount: 929
                              followingCount: 73
                              avatarUrl: >-
                                https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3
                              location: ''
                              bio: The internet forgets you. Memory doesn’t.
                        required:
                          - username
                          - id
                          - displayName
                          - followersCount
                          - followingCount
                          - postsCount
                          - creationDate
                          - avatarUrl
                          - externalUrl
                          - location
                          - bio
                          - farcaster
                        description: Twitter profile of the account.
                        example:
                          id: '1732464385174761474'
                          username: memoryprotocol
                          displayName: Memory
                          followersCount: 1659
                          followingCount: 414
                          postsCount: 642
                          creationDate: Wed Dec 06 18:18:03 +0000 2023
                          avatarUrl: >-
                            https://pbs.twimg.com/profile_images/1912179219758485514/WIKNnlqA_400x400.jpg
                          externalUrl: http://memoryproto.co
                          location: ''
                          bio: >-
                            Where your digital identity can move across the
                            internet  ☁︎
                          farcaster:
                            id: '244819'
                            username: memoryprotocol.eth
                            displayName: Memory
                            followersCount: 929
                            followingCount: 73
                            avatarUrl: >-
                              https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3
                            location: ''
                            bio: The internet forgets you. Memory doesn’t.
                      tweet:
                        $ref: '#/components/schemas/TweetSchema'
                    required:
                      - profile
                      - tweet
                required:
                  - data
        '403':
          description: The organization ran out of credits.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - >-
                    You have run out of credits. Please purchase more to
                    continue.
        '404':
          description: Tweet not found.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Tweet {id} not found.
        '500':
          description: An internal error occurred while getting the tweet details.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Error getting tweet {id}.
      security:
        - Bearer: []
components:
  schemas:
    TweetSchema:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        likesCount:
          type: number
        retweetCount:
          type: number
        quoteCount:
          type: number
        replyCount:
          type: number
        bookmarkCount:
          type: number
        createdAt:
          type: string
        text:
          type: string
        isQuoteTweet:
          type: boolean
        media:
          type: array
          items:
            type: object
            properties:
              type:
                anyOf:
                  - type: string
                    enum:
                      - photo
                  - type: string
                    enum:
                      - video
                  - type: string
                    enum:
                      - animated_gif
              url:
                type: string
            required:
              - type
              - url
        quotedTweet:
          type: object
          items: d0c4c172-5ea8-4b64-8b18-c2b5598dc788
      required:
        - id
        - url
        - likesCount
        - retweetCount
        - quoteCount
        - replyCount
        - bookmarkCount
        - createdAt
        - text
        - isQuoteTweet
        - media
        - quotedTweet
      description: Tweet details.
      example:
        id: '1936089769433588031'
        url: https://x.com/RAC/status/1936089769433588031
        likesCount: 22
        retweetCount: 4
        quoteCount: 0
        replyCount: 1
        bookmarkCount: 0
        createdAt: Fri Jun 20 15:52:26 +0000 2025
        isQuoteTweet: true
        text: >-
          we built this because it solves a very practical need. 


          it's something I've experienced and I know a lot of other people have
          as well. 


          different models have different uses and you shouldn't be locked down
          to one.
        media: []
        quotedTweet:
          profile:
            avatarUrl: >-
              https://pbs.twimg.com/profile_images/1912179219758485514/WIKNnlqA_400x400.jpg
            bio: >-
              Turning your data into a revenue stream || Open your Memory Vault
              to start earning.
            creationDate: Wed Dec 06 18:18:03 +0000 2023
            displayName: Memory
            externalUrl: http://memoryproto.co
            farcaster: null
            followersCount: 2748
            followingCount: 167
            id: '1732464385174761474'
            location: ''
            postsCount: 757
            username: MemoryProtocol
          tweet:
            id: '1936081984427901339'
            url: https://x.com/MemoryProtocol/status/1936081984427901339
            likesCount: 17
            retweetCount: 3
            quoteCount: 2
            replyCount: 2
            bookmarkCount: 6
            createdAt: Fri Jun 20 15:21:30 +0000 2025
            isQuoteTweet: false
            text: >-
              NEW TODAY: Add your ChatGPT history to Memory -&gt; take it to
              Claude.


              LLMs get more powerful when your personal context can flow between
              them.


              Memory is the user-owned data vault that makes it possible.


              Here's how it works


              ↓ https://t.co/KPiGhw0fmG
            media:
              - type: photo
                url: https://pbs.twimg.com/media/Gt5YTULbwAcUQmj.jpg
            quotedTweet: null
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````